function net = netout(net,x)
% NETOUT Simulates network response for a single input

% Satrajit Ghosh, SpeechLab, Boston University. (c)2001
% $Header: /DIVA.1/classes/@ahrbf/private/netout.m 7     11/02/01 1:07p Satra $

% $NoKeywords: $

% get distance matrix
net.c = (x(:,ones(1,net.nhid))-net.mu)./net.sg;

% get basis activation
sumc = sum((net.c).*(net.c));
ak = exp(-sumc);
net.h = ak/sum(ak);
net.h = reshape(net.h,length(net.h),1);


% get the product wc = net.w*net.c
wc = sum((net.w).*net.c(:,:,ones(1,1,net.nout)),1);

% The first part of the if statement is true only when
% the dimension of wc is [a x 1] or [1 x a]
if prod(size(wc)) == length(wc),
%    wc = wc'; % reshape(wc,length(wc,1));
else,
    wc = squeeze(wc)';
end;

% get output
net.out = (net.v+wc)*net.h;