function net = updatevw(net,err)
% UPDATEVW Updates the weight vectors based on error and last input

% Satrajit Ghosh, SpeechLab, Boston University. (c)2001
% $Header: /DIVA.1/classes/@ahrbf/private/updatevw.m 7     11/02/01 1:07p Satra $

% $NoKeywords: $

% Calculate delta value for udating network weights
delta = net.h*err';

% Update the weights of the output layer and the distance matrix layer
% The equations for update are derived from network equations
net.v = net.v + net.alpha*delta';
net.w = net.w + net.alpha*permute(delta(:,:,ones(1,1,net.nin)),[3 1 2]).*net.c(:,:,ones(1,1,net.nout));

% TODO: Update centers and variances
