function [Y,H,net] = simrbf(net,X)
% SIMRBF Simulates network response for given set of inputs
%   Input:
%       net: ahrbf class object
%       X  : Matrix of inputs, one input per column
%   Output:
%       Y  : Network output
%       H  : Hidden layer output

% Satrajit Ghosh, SpeechLab, Boston University. (c)2001
% $Header: /DIVA.1/classes/@ahrbf/simrbf.m 7     11/02/01 1:07p Satra $

% $NoKeywords: $

% Iterate through all the inputs and create a matrix of outputs
Y = zeros(length(net.out),size(X,2));
if nargin>1,
    H = zeros(length(net.h),size(X,2));
end;

for i=1:size(X,2),
    net = netout(net,X(:,i));
    Y(:,i)  = net.out;
    if nargin>1,
        H(:,i)  = net.h;
    end;
end;
