function net = subsasgn(net,index,val)
% SUBSASGN Define index assignment for ahrbf objects
%   Allows modification of certain parameters of the net after
%   creation of the net.
%   Currently modifiable parameters are:
%       alpha, beta
%   See class documentation for Matlab for explanation of this 
%   function

% Satrajit Ghosh, SpeechLab, Boston University. (c)2001
% $Header: /DIVA.1/classes/@ahrbf/subsasgn.m 6     10/19/01 10:38a Satra $

% $NoKeywords: $

switch index.type
case '()'
    error('Array indexing not supported by operator objects')
case '.'
    switch index.subs
    case 'alpha'
        if isnumeric(val),
            net.alpha = val;
        else,
            error('alpha value must be a numeric');
        end
    case 'beta'
        if isnumeric(val),
            net.beta = val;
        else,
            error('beta value must be a numeric');
        end
    otherwise
        error('Invalid field name')
    end
end

