function d = diva(REP_FOLDER)
% D = DIVA(REP_fOLDER) creates a matlab structure that is then operated on by various
% functions to run the simulations.
%
% An earlier version of DIVA consisted of a creating matlab class object, but was very
% specific to a formant type representation. An aim of this extension was to change to
% create a representation independent structure. The simplest solution was to create a
% base class and have different representations inherit different aspects of the base
% class. However, Matlab's OO implementation of inheritence is terrible and a decision
% was taken at that point to go back to the old style of inheritence. With Matlab this
% was implemented as a folder based inheritence. 
% 
% There are two primary folders that are used in DIVA. The first folder (DIVA) contains
% the generic routines that are "mostly" independent of representation. The second
% folder (REP_FOLDER) is the folder containing the representation specific
% functions. For details on what is required to create a new representation see:
% CREATE_NEW_REPRESENTATION.txt 

% Satrajit Ghosh
% (c) 2004 SpeechLab, Boston University

% Create the structure
pdir = fileparts(which(mfilename));
addpath([pdir,filesep,'..',filesep,REP_FOLDER,filesep]);

d = create_diva(REP_FOLDER);
