function d = initialize(d)
% D = INITIALIZE(D) initializes the data structure with appropriate sizes of the
% data. The primary goal of the first part of the file is to create the required memory
% space for the simulation. Matlab likes preinitialized arrays much more than arrays
% that are resized on the fly. The function also calls a representation-specific
% function initialize2 to perform a similar task for any data that is specifically part
% of the representation.

% Satrajit Ghosh
% (c) 2004 SpeechLab, Boston University

% Initialize each region
d.P  = zeros(d.sizeP,d.simtime);
d.M  = zeros(d.sizeM,d.simtime);
d.dM = zeros(d.sizeM,d.simtime);
d.dMff   = zeros(d.sizeM,d.simtime);
d.dMfb   = zeros(d.sizeM,d.simtime);
d.dMfbS  = zeros(d.sizeM,d.simtime);
d.dMfbAu = zeros(d.sizeM,d.simtime);
d.Cb     = zeros(d.sizeCb,d.simtime);

% Actual sensory states
d.S  = zeros(d.sizeS,d.simtime);
d.Au = zeros(d.sizeAu,d.simtime);

% Sensory errors
d.DS  = zeros(d.sizeS,d.simtime);
d.DAu = zeros(d.sizeAu,d.simtime);

% Articulatory states
d.Ar = zeros(d.sizeAr,d.simtime);

% Initialize each forward map
% d.ZPM = zeros(d.sizeZPM,d.target_duration,d.sizeP);
d.ZPM  = zeros(d.sizeZPM,d.target_duration);
d.ZPS  = zeros(d.sizeZPS,d.target_duration);
d.ZPAu = zeros(d.sizeZPAu,d.target_duration);

% Initialize type specific aspects
d = initialize2(d);
