function d = simulate(d)
% D = SIMULATE(D) performs a single simulation of the target. What happens during a
% simulation is dependent on the parameters in the model. The model could be learning
% or producing or being perturbed during production. Every 50 ms the state of the model
% is plotted in a figure.

% Satrajit Ghosh
% (c) 2004 SpeechLab, Boston University

% plot initial state
divaplot(d,1);

d.started = 0;
d.finished= 0;
for t=1:d.simtime,
  % Simulate a single timestep
  d = sim_timestep(d,t);
  
  % Update the cerebellum
  % d = update_cbm(d,t);
  
  % Update the weights
  % d = update_weights_old(d,t);

  if mod(t,d.plot_step)==0,
    % plot if necessary
    divaplot(d,t);
    %pause;
  end;
end

% Update the weights
d = update_weights(d);

% plot final state
divaplot(d,d.simtime);
