function d = update_sensory_states(d,t)
% D = UPDATE_SENSORY_STATES(D,T) updates the current sensory states at time t. In
% addition it calculates the current sensory discrepancies between target and current
% sensory state

% Satrajit Ghosh
% (c) 2004 SpeechLab, Boston University

% Update sensory states
d.Au(:,t) = Aut(d,t);
d.S(:,t)  = St(d,t);

% Determine errors
d.DS(:,t)  = DeltaSt(d,t);
d.DAu(:,t) = DeltaAut(d,t);