function Au = Ar2Au(Ar,d)
% AU = AR2AU(AR,d) Converts articulatory states to their corresponding acoustic
% (formant) representation. 

% Satrajit Ghosh
% (c) 2004 SpeechLab, Boston University


if d.usesynth,
    vt = d_opvt;
    Au = synth2(vt,Ar2Maeda(Ar,d));
else,
    Au = diva_forward01(Ar2Maeda(Ar,d),d.net);
    if d.useratio,
        Au = max(Au,50);
        Au = fmt2ratio(Au,130);
    end;
end;
Au = max(Au,0);
