function M = Ar2M(Ar,d)
% Convert the articulatory parameters to antagonistic muscle pairs

% Satrajit Ghosh
% (c) 2004 SpeechLab, Boston University

Ar(8,:) = Ar(8,:)-d.JawLip*Ar(1,:);

W = zeros(d.sizeAr,d.sizeM);
pb = diag(d.ArSpread*ones(d.sizeAr,1));

W(:,1:2:end) = pb;
W(:,2:2:end) = -pb;
IW = pinv(W);

M = IW*Ar+0.5;
