function [Maeda,Ar_new,Ar] = Ar2Maeda(Ar,d)
% Convert articulators to Maeda parameters.

% Satrajit Ghosh
% (c) 2004 SpeechLab, Boston University

Maeda([1:4,6:7],:) = Ar(1:6,:);
Art_val = -1.2;
Ar_old = Ar;
max_pos = 2;
min_pos = 0.5;

Ar(7,:) = (Ar(7,:)+d.ArSpread)/(2*d.ArSpread)*(max_pos-(-min_pos))+(-min_pos);
Ar(8,:) = (Ar(8,:)+d.ArSpread)/(2*d.ArSpread)*(min_pos-(-max_pos))+(-max_pos);

%figure;plot(Ar([7,8],:)');
val  = (Ar(7,:)<Ar(8,:)).*Ar(8,:);
%figure;plot(val~=0);
dAr7 = (val~=0).*((val-(-min_pos))/(max_pos-(-min_pos))*(2*d.ArSpread)-d.ArSpread-Ar_old(7,:));
Ar_new = Ar_old;
Ar_new(7,:) = Ar_old(7,:)+dAr7;
%figure;plot(dAr7);
Ar(7,:) = (Ar_new(7,:)+d.ArSpread)/(2*d.ArSpread)*(max_pos-(-min_pos))+(-min_pos);

Maeda(5,:)   = Art_val+(d.ArSpread-Art_val)*max(Ar(7,:)-Ar(8,:),0)/(2*max_pos);
Maeda = min(max(Maeda,-d.ArSpread),d.ArSpread);


%% Earlier version
%Maeda([1:4,6:7],:) = Ar(1:6,:);
%Art_val = -1.4;
%maxval = (d.ArSpread-Art_val)/2;
%%Maeda(5,:)   = max(-3,min(3, ((Ar(7,:)-Ar(8,:))>-1.5).*(Ar(7,:)-Ar(8,:)) ));
%Ar_old = Ar;
%Ar(7,:) =  -0.5+(maxval+0.5)*(1+Ar(7,:)/d.ArSpread)/2;
%%Ar(8,:) =   0.5+(maxval+0.5)*(-1+max(min(Ar(8,:)+0.2*Ar(1,:),d.ArSpread),-d.ArSpread)/d.ArSpread)/2;
%Ar(8,:) =   0.5+(maxval+0.5)*(-1+Ar(8,:)/d.ArSpread)/2;

%% This fixes the position of the upper lip relative to the lower lip in
%% case the lips are closed. [Lip Collision detection]
%val  = (Ar(7,:)<Ar(8,:)).*Ar(8,:);
%dAr7 = (val~=0).*((d.ArSpread*(2*(val + 0.5)/(maxval+0.5)-1))-Ar_old(7,:));
%Ar_new = Ar_old;
%Ar_new(7,:) = Ar_old(7,:)+dAr7;
%Ar(7,:) =  -0.5+(maxval+0.5)*(1+Ar_new(7,:)/d.ArSpread)/2;

%Maeda(5,:)   = Art_val+(Ar(7,:)>Ar(8,:)).*abs(Ar(7,:)-Ar(8,:));
%Maeda = min(max(Maeda,-d.ArSpread),d.ArSpread);

