function S = Ar2S(Ar,d)
% Convert Articulators to Sensory responses. The first part of the response corresponds
% directly with the articulatory state. This is considered the proprioceptive component
% of the response. The second part of the response is the tactile response and is
% calculated with a mapping based on Schwarz JL. The tactile lip response was based on
% the area function of the lip segment.

% Satrajit Ghosh
% (c) 2004 SpeechLab, Boston University

MaedaParam = Ar2Maeda(Ar,d);
%[F,B,A,Af1,P1,P2,Tf1] = convert1(d.vt,MaedaParam);
%Af1 = vertcat(Af1{:});
%Af1 = Af1(1:2:end,:);
%Tactile = max(9*(1-Af1(:,10:end)'),0);

%Tactile = 2*(Af1(:,10:end)'<0.1)-1;
%Tactile = [Tactile;2*(Af1(:,10:end)'<0.5)-1];
%Tactile = [Tactile;2*(Af1(:,10:end)'<1)-1];
%Tactile = max(9*(1-((MaedaParam(5,:)+1.4)/(1.4+d.ArSpread))),0);

T = max(min(d.Maeda2Palate*[ones(1,size(Ar,2));MaedaParam(1:5,:)],repmat([9 8 7 5 4 9]',1,size(Ar,2))),0);
%S = [Ar;T(1:5,:);Tactile(end,:)];
S = [Ar;T];

% This segment computes the weights for the tactile lip response.
% N = 4000;
% MaedaParam = 7*rand(7,N)-3.5;
% [F,B,A,Af1,P1,P2,Tf1] = convert1(d.vt,MaedaParam);
% Af1 = vertcat(Af1{:});
% Af1 = Af1(1:2:end,:);
% Tactile = max(9*(5-Af1(:,10:end)'),0)/5;
% Tactile = Tactile(end,:);
% W = Tactile*pinv([ones(1,N);MaedaParam([1:5],:)])
% That = W*[ones(1,N);MaedaParam([1:5],:)];
% corrcoef(That,Tactile)
