function DeltaAu = DeltaAut(d,t)
% Calculates the acoustic error at time t

% Satrajit Ghosh
% (c) 2004 SpeechLab, Boston University

DeltaAu = zeros(d.sizeAu,1);
if t<1,
    return;
end
ZPAu = ZPAut(d,t);

if ~isempty(ZPAu),
    % Calculate sensory response
    Au = d.Au(:,t);
    %fprintf(['Au: ',num2str(Au(:)'),'\n']);
    
    % Determine the boundaries and the mean target
    ZPAu = ZPAut(d,t);
    LB = ZPAu(1:(end/2));
    UB = ZPAu((end/2+1):end);
    meanL = mean([LB,UB],2);
    
    % Shoot for center of region but if you hit the boundary you are done
    DeltaAu = (meanL-Au).*(LB>Au)+(meanL-Au).*(UB<Au);
    % Nearest boundary of target space
    %DAuB = (LB-Au).*(LB>Au)+(UB-Au).*(UB<Au);
    %DeltaAu = (abs(DAuB)>5).*DeltaAu;
else,
    DeltaAu = -d.Au(:,t);
end;