function DeltaS = DeltaSt(d,t)
% Calculates the somatosensory error at time t

% Satrajit Ghosh
% (c) 2004 SpeechLab, Boston University

DeltaS = zeros(d.sizeS,1);

ZPS = ZPSt(d,t);
if ~isempty(ZPS),
    DeltaS = ZPS-d.S(:,t);
else,
    DeltaS = -d.S(:,t);
end;

% Ensure that small errors don't affect the system
DeltaS = DeltaS.*(abs(DeltaS)>1e-5);