function dMfbAu = ZAuMt(d,t)
% This function generates corrective movements corresponding to the
% perceived auditory error. Since this function can only render its effect
% after a certain time lapse, it will not be useful for ballistic movements.   

% Satrajit Ghosh
% (c) 2004 SpeechLab, Boston University

dMfbAu   = zeros(d.sizeM,1);

% Determine the error in auditory cortex
aut = max(t-d.tAuM,0);
if aut,
    DeltaAu = d.DAu(:,aut); %DeltaAut(d,t-d.tAuM);
else,
    return;
end

% The 'mt' index serves as an index into the motor command that caused the
% error.
% The 'pt' index looks at the premotor cells to see if something was being
% articulated. 

% This branch determines the appropriate time information for online
% error correction
pt  = Pt(d,t-(d.tPM+d.tMAr+d.tArAu+d.tAuM));

% Generate corrective movements for that error
if pt,
    mt  = max(t-(d.tMAr+d.tArAu+d.tAuM),0);
    %mt;
    fprintf(['DeltaAu: ',num2str([t;DeltaAu(:)]'),'\n']);
    %if any(~isreal(DeltaA(:)')),
        %keyboard
        %end;
    dMfbAu = Ar2M(pseudoinv01_S(M2Ar(d.M(:,mt),d),DeltaAu,@Ar2Au,[d],d.iparams),d)-0.5;
    %dMfbAu = Ar2M(pseudoinv01(M2Ar(d.ZPM(:,pt),d),DeltaAu,@Ar2Au,[d],d.iparams),d)-0.5;
    
    %dMfbAu = Ar2M(pseudoinv01(d.S(1:7,t),DeltaAu,@Ar2Au,[d],d.iparams),d)-0.5;
    %dMfbA = Ar2M(pseudoinv02(M2Ar(d.M(:,mt)),DeltaA,@Ar2A,[]))-0.5;
    %fprintf(['dMfbA: ',num2str(dMfbA(:)'),'\n']);
end;