function ZPAu = ZPAut(d,t)
% ZPAU = ZPAUT(D,T) returns the auditory expectation at time t. In formant space this
% returns the upper and lower bounds of F1, F2 and F3 as a column vector
% [LF1;LF2;LF3;UF1;UF2;UF3]. 

% Satrajit Ghosh
% (c) 2004 SpeechLab, Boston University

ZPAu = [];

% Determine if something was being articulated
zta = Pt(d,t-d.tPAu-cbm_delay(d,-d.tPAu+d.tPM+d.tMAr+d.tArAu));

if zta,
    ZPAu = d.ZPAu(:,zta);
end