function ZPM = ZPMt(d,t)
% ZPM = ZPMT(D,T) returns the feedforward phasic motor command

% Satrajit Ghosh
% (c) 2004 SpeechLab, Boston University

ZPM = zeros(d.sizeZPM,1);

% Determine if something was being articulated
ztm = Pt(d,t-(d.tPM));

if ztm,
  ZPM = d.ZPM(:,ztm)-d.M(:,t);
elseif ~d.started,
  ZPM = (d.ZPM(:,1)-d.M(:,t)); %/d.tStart;
elseif d.finished
  ZPM = (d.M(:,1)-d.M(:,t));
end