function d = add_typespecificdata(d)
% D = ADD_TYPESPECIFICDATA adds data specific to a set of representations used by the
% model. This function is part of the representation specific folder

% Satrajit Ghosh
% (c) 2004 SpeechLab, Boston University

d.usesynth  = 0; % Use Maeda synthesizer instead of HRBF network for sensory estimation
d.useratio  = 0; % Use Miller (JASA 89) representation instead of formants
d.net       = [];% Store the HRBF network that maps Maeda Parameters to Formants 

d.Maeda2Palate  = [];% Mapping from Maeda Parameters to Tactile information (Schwartz et al) 
d.sizeMaeda = 7;

d.JawLip    = 0; %Effect of jaw height on lower lip position

% Perturbation related parameters
d.pert     = 0;
d.pertart  = 1; 
d.timepert = inf;