function ratio = fmt2ratio(fmt,f0);
% RATIO = FMT2RATIO(FMT,F0) converts formant trajectories to formant ratios (Miller
% 1989 JASA) using the pitch (or pitch contour) F0.

% Satrajit Ghosh
% (c) 2004 SpeechLab, Boston University

sr0 = 168*((f0/168).^(1/3));

ratio(1,:) = log10(fmt(1,:)./sr0);
ratio(2,:) = log10(fmt(2,:)./fmt(1,:));
ratio(3,:) = log10(fmt(3,:)./fmt(2,:));