function d = initialize2(d)
% D = INITIALIZE2(D) initializes representation specific aspects of the DIVA
% structure. See add_typespecific data for details.

% Satrajit Ghosh
% (c) 2004 SpeechLab, Boston University

%Use the network
d.usesynth = 0;

% Load the HRBF forward network
d.net = load('trainednet3000v2');
%d.net = load('trainednet4000_040504');

% Initializ initial motor state
d.M = NaN*d.M;
d.M(:,1)         = 0.5*ones(d.sizeM,1);
d.M(2:2:end,1)   = 1-d.M(1:2:end,1);
%d.M(:,1)         = 0*ones(d.sizeM,1);
%d.M(2:2:end,1)   = 1-d.M(1:2:end,1);

% Initialize initial weights 
d.ZPM  = 0.5*ones(d.sizeZPM,d.target_duration);

% Pseudo-inverse parameters
d.iparams.DELTA = 0.5;
d.iparams.ALPHA = 0.5;
d.iparams.BETA  = 0.05;
d.iparams.LAMBDA= 0;

d.ArSpread  = 3.5; % Maximum value of Maeda parameters
d.JawLip    = 0.2;
d.sizeMaeda = 7;
d.DS_INERT  = 0.99;

d.Maeda2Palate = [...
        4.975 0.391 -1.528  0.372 1.710  0; ...
        3.802 0.394 -1.577  0.616 1.449  0; ...
        2.138 0.194 -1.444  0.638 0.793  0; ...
        0.378 0.283 -1.229  0.626 0.322  0; ...
       -0.484 0.388 -0.891  0.703 0.391  0; ...
        4.919 0.271  0.028 -0.004 -0.001 -1.8114];

d.vt = d_opvt;
