function [target,varargout] = diva_forward01(cur_pos,fparams,varargin)
% DIVA_FORWARD01 DIVA forward model based on an ahrbf network
%   This function implements a forward model that maps Maeda's articulatory parameters
%   to formants.
%
%   <Inputs>
%   cur_pos     : position vector or columnwise matrix (CM). If cur_pos is a CM, 
%                 then target is calculated for each column
%   varargin    : other miscellaneous parameters
%
%   <Outputs>
%   target      : target vector or CM depending on input
%   varargout   : misc outputs

% Satrajit Ghosh, SpeechLab, Boston University. (c)2001
% $Header: /tools/uiwaitbar.m 5     4/09/02 3:45p Satra $

Ninput   = size(cur_pos,2);

for ninput = 1:Ninput,
    target(:,ninput) = simrbf(fparams.net,cur_pos(:,ninput));;
end;