function d = update_weights(d,t)
% D = UPDATE_WEIGHTS(D,T) 

% Satrajit Ghosh
% (c) 2004 SpeechLab, Boston University

% Extract which timeslice of the spatiotemporal map was being executed that
% gave rise to the somatosensory error
ptS  = Pt(d,t-(d.tPM+d.tMAr+d.tArS));

if ptS,
    d.ZPS(:,ptS) = d.ZPS(:,ptS)-d.ZPSlearn_rate*d.DS(:,t);
end

% ZPM
ptAu = Pt(d,t-(d.tPM+d.tMAr+d.tArAu+d.tAuM));
ptS  = Pt(d,t-(d.tPM+d.tMAr+d.tArS+d.tSM));

if (ptS & ptAu) | ptAu,
    d.ZPM(:,ptAu) = d.ZPM(:,ptAu)+d.ZPMlearn_rate*d.dMfb(:,t);
%    d.ZPM(:,ptAu) = d.ZPMlearn_rate*d.dMfb(:,t);
elseif ptS,
    %d.ZPM(:,ptS) = d.ZPM(:,ptS)+d.ZPMlearn_rate*d.dMfb(:,t);
end
if (ptAu>1) & d.ZPMlearn_rate,
    d.ZPM(:,ptAu) = d.ZPM_INERT*d.ZPM(:,ptAu-1)+(1-d.ZPM_INERT)*d.ZPM(:,ptAu);
%    d.ZPM(:,1) = d.ZPM(:,2);
    %d.ZPM(:,ptAu) = (0.9*d.ZPM(:,ptAu-1)+0.1*d.ZPM(:,ptAu));
end
d.ZPM = min(max(d.ZPM,0),1);