function d = setup_target(d,target)

tmean = target.f.mean;
tvar  = target.f.var;
f0    = nanmean(target.fdata.pt);
range = 1:target.dur;

% Initialize diva
d.target_duration  = target.dur;
d.simtime          = d.tStart + d.target_duration + (d.tPM+d.tMAr+max([d.tArS,d.tArAu])+d.tAuM);
d = initialize(d);

% Initialize spatiotemporal auditory target map
if d.useratio,
    d.ZPAu    = [fmt2ratio(max([tmean(range,:)-sqrt(tvar(range,:))]',50),f0)',fmt2ratio(max([tmean(range,:)+sqrt(tvar(range,:))]',50),f0)']';
else,
    d.ZPAu    = max([tmean(range,:)-sqrt(tvar(range,:)),tmean(range,:)+sqrt(tvar(range,:))]',50);
end;

% Setup target in premotor cell
d.P      = [zeros(1,d.tStart),1:d.target_duration,zeros(1,d.tPM+d.tMAr+d.tArAu+d.tAuM)];
